Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.util
Class ScopedAnalyzer

    java.lang.Object
      org.apache.lucene.analysis.Analyzer
          org.hibernate.search.util.ScopedAnalyzer

    public class ScopedAnalyzer

extends org.apache.lucene.analysis.Analyzer

A `ScopedAnalyzer` is a wrapper class containing all analyzers for a given class. `ScopedAnalyzer` behaves similar to `PerFieldAnalyzerWrapper` by delegating requests for `TokenStream`s to the underlying `Analyzer` depending on the requested field name.

Author:
  Emmanuel Bernard

Field Summary

Fields inherited from class org.apache.lucene.analysis.Analyzer
`overridesTokenStreamMethod`

Constructor Summary
`ScopedAnalyzer()`

Method Summary
`void` | `addScopedAnalyzer(java.lang.String scope, org.apache.lucene.analysis.Analyzer scopedAnalyzer)`
`ScopedAnalyzer` | `clone()`
`int` | `getPositionIncrementGap(java.lang.String fieldName)`
`void` | `setGlobalAnalyzer(org.apache.lucene.analysis.Analyzer globalAnalyzer)`
`org.apache.lucene.analysis.TokenStream` | `tokenStream(java.lang.String fieldName, java.io.Reader reader)`

Methods inherited from class org.apache.lucene.analysis.Analyzer
`close, getOffsetGap, getPreviousTokenStream, reusableTokenStream, setOverridesTokenStreamMethod, setPreviousTokenStream`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScopedAnalyzer

    public ScopedAnalyzer()

Method Detail

### setGlobalAnalyzer

    public void setGlobalAnalyzer(org.apache.lucene.analysis.Analyzer globalAnalyzer)

### addScopedAnalyzer

    public void addScopedAnalyzer(java.lang.String scope,
                                  org.apache.lucene.analysis.Analyzer scopedAnalyzer)

### tokenStream

    public org.apache.lucene.analysis.TokenStream tokenStream(java.lang.String fieldName,
                                                              java.io.Reader reader)

  Specified by:
    `tokenStream` in class `org.apache.lucene.analysis.Analyzer`

### getPositionIncrementGap

    public int getPositionIncrementGap(java.lang.String fieldName)

  Overrides:
    `getPositionIncrementGap` in class `org.apache.lucene.analysis.Analyzer`

### clone

    public ScopedAnalyzer clone()

  Overrides:
    `clone` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.